Subject: [Roll] Closing #74: Edits on Option Length on Figures (was:Edits)

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 26 Jul 2010 15:44:03 +0200

Hi

We'll not that the general form of the option length is already spelled out 
"
   RPL Control Message Options all follow this format:

        0                   1                   2
        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+- - - - - - - -
       |  Option Type  | Option Length | Option Data
       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+- - - - - - - -

                   Figure 19: RPL Option Generic Format

   Option Type:  8-bit identifier of the type of option.  The Option
         Type values are to be confirmed by IANA Section 19.4.

   Option Length:  8-bit unsigned integer, representing the length in
         octets of the option, not including the Option Type and Length
         fields.

"

So we should not repeat that. 
OTOH, the way the length was expressed was not consistent.
So the proposal is for all options that have a constant value, to use a same form.

We could use something like:

"
   Option Type:  0x04 (to be confirmed by IANA)

   Option Length:  14
"

Or something like:

"
   Option Type:  0x04 (to be confirmed by IANA)

   Option Length:  This field  MUST be set to 16.
"

I tend to favor the former, as proposed in JP's mail. 

As usual, you disagree with this resolution please speak up : )

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of roll
> issue tracker
> Sent: Monday, July 26, 2010 10:48 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: Re: [Roll] [roll] #74: Edits on Option Length on Figures (was:Edits)
> 
> #74: Edits on Option Length on Figures
> -----------------------------+----------------------------------------------
>  Reporter:  jpv@…            |       Owner:  wintert@…
>      Type:  defect           |      Status:  new
>  Priority:  trivial          |   Milestone:
> Component:  rpl              |     Version:
>  Severity:  In WG Last Call  |    Keywords:
> -----------------------------+----------------------------------------------
> Description changed by jpv@…:
> 
> Old description:
> 
> > From: JP Vasseur <[email-masked]>
> > Date: July 26, 2010 10:37:54 AM CEDT
> > To: Yoav Ben-Yehezkel <[email-masked]>
> > Cc: [email-masked]
> > Subject: Re: [Roll] small comment on DIS format
> >
> > Hi Yoav,
> >
> > On Jul 26, 2010, at 10:19 AM, Yoav Ben-Yehezkel wrote:
> >
> > Hi,
> >
> > I found a small editorial fix in the description of “Option Length” field
> > in the SIO description.
> >
> > Right now the description says Option Length 19 bytes, which I think
> > little misleading. If I understand correctly, it should be saying that
> > the length of the field is 1 byte and its value shall be set to 19,
> > right?
> >
> 
> > Well, in Section 5.7.1, this is actually clarified:
> >
> > 5.7.1.  RPL Control Message Option Generic Format
> >
> >    RPL Control Message Options all follow this format:
> >
> >         0                   1                   2
> >         0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3
> >        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+- - - - - - - -
> >        |  Option Type  | Option Length | Option Data
> >        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+- - - - - - - -
> >
> >                    Figure 14: RPL Option Generic Format
> >
> >    Option Type:  8-bit identifier of the type of option.  The Option
> >          Type values are to be confirmed by the IANA Section 18.4.
> >
> >    Option Length:  8-bit unsigned integer, representing the length in
> >          octets of the option, not including the Option Type and Length
> >          fields.
> >
> >    Option Data:  A variable length field that contains data specific to
> >          the option.
> >
> > But I see your point, what we should be doing is to put the number 19 in
> > the figure.
> >
> > In other words, for each figure:
> > Option Lenght (1 byte): 19
> > +
> > shows the number (when we have a fixed number) on the figure.
> >
> > Would that clarify ?
> >
> > Thanks.
> >
> > JP.
> >
> > Regards,
> > Yoav
> >
> 
> > 5.7.9.  Solicited Information
> >
> > ...
> >
> >         0                   1                   2                   3
> >         0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
> >        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >        |   Type = 7    | Option Length | RPLInstanceID |V|I|D|  Rsvd   |
> >        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >        |                                                               |
> >        +                                                               +
> >        |                                                               |
> >        +                            DODAGID                            +
> >        |                                                               |
> >        +                                                               +
> >        |                                                               |
> >        +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> >        |    Version    |
> >        +-+-+-+-+-+-+-+-+
> >
> >            Figure 22: Format of the Solicited Information Option
> > ...
> >
> >    Option Length:  19 bytes
> >
> > _______________________________________________
> > Roll mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/roll
> >
> > _______________________________________________
> > Roll mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/roll
> 
> New description:
> 
>  From: JP Vasseur <[email-masked]>
>  Date: July 26, 2010 10:37:54 AM CEDT
>  To: Yoav Ben-Yehezkel <[email-masked]>
>  Cc: [email-masked]
>  Subject: Re: [Roll] small comment on DIS format
> 
>  Hi Yoav,
> 
>  On Jul 26, 2010, at 10:19 AM, Yoav Ben-Yehezkel wrote:
> 
>  Hi,
> 
>  I found a small editorial fix in the description of “Option Length” field
>  in the SIO description.
> 
>  Right now the description says Option Length 19 bytes, which I think
>  little misleading. If I understand correctly, it should be saying that the
>  length of the field is 1 byte and its value shall be set to 19, right?
> 
> 
>  Well, in Section 5.7.1, this is actually clarified:
> 
>  5.7.1.  RPL Control Message Option Generic Format
> 
>     RPL Control Message Options all follow this format:
> 
>          0                   1                   2
>          0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3
>         +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+- - - - - - - -
>         |  Option Type  | Option Length | Option Data
>         +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+- - - - - - - -
> 
>                     Figure 14: RPL Option Generic Format
> 
>     Option Type:  8-bit identifier of the type of option.  The Option
>           Type values are to be confirmed by the IANA Section 18.4.
> 
>     Option Length:  8-bit unsigned integer, representing the length in
>           octets of the option, not including the Option Type and Length
>           fields.
> 
>     Option Data:  A variable length field that contains data specific to
>           the option.
> 
>  But I see your point, what we should be doing is to put the number 19 in
>  the figure.
> 
>  In other words, for each figure:
>  Option Lenght (1 byte): 19
>  +
>  shows the number (when we have a fixed number) on the figure.
> 
>  Would that clarify ?
> 
>  Thanks.
> 
>  JP.
> 
>  Regards,
>  Yoav
> 
> 
>  5.7.9.  Solicited Information
> 
>  ...
> 
>          0                   1                   2                   3
>          0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>         +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>         |   Type = 7    | Option Length | RPLInstanceID |V|I|D|  Rsvd   |
>         +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>         |                                                               |
>         +                                                               +
>         |                                                               |
>         +                            DODAGID                            +
>         |                                                               |
>         +                                                               +
>         |                                                               |
>         +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>         |    Version    |
>         +-+-+-+-+-+-+-+-+
> 
>             Figure 22: Format of the Solicited Information Option
>  ...
> 
>     Option Length:  19 bytes
> 
>  _______________________________________________
>  Roll mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/roll
> 
>  _______________________________________________
>  Roll mailing list
>  [email-masked]
>  https://www.ietf.org/mailman/listinfo/roll
> 
> --
> 
> --
> Ticket URL: <http://trac.tools.ietf.org/wg/roll/trac/ticket/74#comment:1>
> roll <http://tools.ietf.org/wg/roll/>
> 
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll